Subject: Re: [PATCH 1/9] t/unit-tests: adapt lib-reftable{c,h} helper functions to clar

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Apr 2025 08:44:16 -0700

Patrick Steinhardt <[email-masked]> writes:

> We do want the Git history to be fully bisectable so that it is easy for
> contributors to find out where a specific bug has been introduced. And
> for the history to be bisectable, we must ensure that every single
> commit builds and passes our test suite. You can do that e.g. via `git
> rebase $BASE_COMMIT -x 'make -j$(nproc) test`, which builds and tests
> every single commit in your commit series.
>
> So yes, this should be adapted so that the initial commit introduces the
> new helpers without removing the old helpers yet so that the unit tests
> that haven't yet been converted continue to build and test just fine.

I started writing the same and thought somebody else may have
already responded, and found yours.  Very well said.

Thanks for spelling out the expectations we have in this project and
explaining how to achieve that goal.